percents=(100 8 11 16 25 32 50 60 80)

horizon_lens=(336)

# Loop over each percent value
for percent in "${percents[@]}"; do
    # Loop over each interpolate_len value
    for horizon in "${horizon_lens[@]}"; do
        # Define model_id and log file name dynamically based on current percent and interpolate_len
        model_id="New050383_weather_dim32_ModernTCN_interto${horizon}__${horizon}_192__p${percent}_lr5e-5_wd0.0_bs16"
        log_file="${model_id}.log"
        # Run the Python script with current configurations
        nohup python3 -u run.py \
            --is_training 1 \
            --root_path ./dataset/weather/ \
            --data_path weather.csv \
            --model_id "$model_id" \
            --model ModernTCN \
            --data custom --features M \
            --seq_len 336 --pred_len 192 \
            --ffn_ratio 8 --patch_size 8 --patch_stride 4 \
            --num_blocks 1 \
            --large_size 51 --small_size 5 \
            --dims 64 64 64 64 --head_dropout 0.0 \
            --enc_in 21 --dropout 0.4 --itr 1 \
            --train_epochs 100 --batch_size 16 \
            --patience 20 --learning_rate 0.0001 \
            --des Exp --use_multi_scale False \
            --small_kernel_merged False --coef 0.95 \
            --percent "$percent" \
            --patience 10 \
            --coef 0.95 >> "$log_file" &
        wait
    done
done
