#!/bin/bash

# Define the array of percent values
percents=(100)

# Define the array of interpolate_len values
mid_layer=(2 3 5)

horizons=(64 128 256 336 396 512 768 1024 1280 1536 2048)

# Loop over each percent value
for percent in "${percents[@]}"; do
    # Loop over each interpolate_len value
    for width in "${mid_layer[@]}"; do
    for horizon in "${horizons[@]}"; do
        # Define model_id and log file name dynamically based on current percent and interpolate_len
        model_id="New051861__SingleMLPinterpolate_ETTh1_Width${width}__${horizon}_192__p${percent}_lr3e-3_wd5e-4_lasso0_bs8192"
        log_file="${model_id}.log"

        # Run the Python script with current configurations
        nohup python3 -u run.py \
            --exp_name MTSF \
            --is_training 1 \
            --root_path ./dataset/ETT-small/ \
            --data_path ETTh1.csv \
            --data ETTh1 \
            --model_id "$model_id" \
            --model Single_MLP_relu \
            --in_patch_stride 1 --in_patch_size 1 \
            --out_patch_stride 1 --out_patch_size 1 \
            --features M \
            --seq_len "$horizon" \
            --interpolate_len "$horizon" \
            --pred_len 192 \
            --label_len 5 \
            --des 'Exp' \
            --e_layers 3 \
            --d_model "$width" \
            --enc_in 21 \
            --dec_in 21 \
            --c_out 21 \
            --d_ff 192 \
            --batch_size 8192 \
            --train_epochs 100 \
            --learning_rate 0.003 \
            --weight_decay 0.0005 \
            --l1_lambda 0.0 \
            --percent "$percent" \
            --patience 10 \
            --coef 0.98 \
            --itr 3 >> "$log_file"
        wait
    done
    done
done


